package com.speedingplanet.banking.resources;

import javax.ws.rs.GET;
import javax.ws.rs.Path;

@Path("/")
public class BankingResource {

  @GET
  public String getBanking() {
    return "<!DOCTYPE html>\n" +
        "<html lang=\"en\">\n" +
        "<head>\n" +
        "    <meta charset=\"UTF-8\">\n" +
        "    <title>REST and JAX-RS</title>\n" +
        "</head>\n" +
        "<body>\n" +
        "<main>\n" +
        "    <h1>Goldman Sachs JAX-RS Class Banking application</h1>\n" +
        "    <p>This is the homepage for the banking application for Goldman Sachs' JAX-RS class.</p>\n" +
        "    <p>This URL does not serve any representations and is not a resource. You are probably looking for one of the\n" +
        "    URLs below:</p>\n" +
        "\n" +
        "    <ul>\n" +
        "        <li>Transactions: <a href=\"http://localhost:7100/banking/tx\">http://localhost:7100/banking/tx</a></li>\n" +
        "        <li>Categories: <a href=\"http://localhost:7100/banking/category\">http://localhost:7100/banking/category</a></li>\n" +
        "        <li>Payees: <a href=\"http://localhost:7100/banking/payee\">http://localhost:7100/banking/payee</a></li>\n" +
        "    </ul>\n" +
        "</main>\n" +
        "</body>\n" +
        "</html>";
  }
}
