# JAX-RS Exercise Files

Checking out this repository will give you exactly what the students will
have in class. 

## Status
Complete through Chapter 4 of the outline. 

## Prerequisites
* Java 1.7 or greater, on your path
* Git, tested against Windows Git 2.9.0

## Directions
1 Check out the repository
2 Open IntelliJ
3 Create a New Project from Existing Sources
4 Choose the [pom.xml](pom.xml) file
5 Accept the various defaults
6 View > Tool Windows > Maven Projects
7 Stocks > Lifecycle
8 Double-click on **package**
9 Go to Run > Edit Configurations
10 Create a Run Configuration as in the screenshot below

![Run configuration](images/clean-package-run-jar.png)

11 Run > Run the configuration you just created
12 Open a browser
13 Navigate to [http://localhost:7200/equities/security](http://localhost:7200/equities/security)
14 Enjoy a view of securities in the database!

## Branches
Branches follow the form `ex-02-start` and `ex-02-finish`

The number will vary with every exercise

Enter `git branch` to get a complete list of branches


